Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.seals.impl
Class SealsServiceImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.seals.impl.SealsServiceImpl

All Implemented Interfaces:
  SealsService

    public class SealsServiceImpl

extends Object
implements SealsService

Implementation for `SealsService`.

Constructor Summary
`SealsServiceImpl(EhealthReplyValidator validator)`

Method Summary
`DecodeResponse` | `decode(X509Certificate certificate, PrivateKey privateKey, DecodeRequest decodeRequest)` The decode operation provides the inverse function of the encode operation
`EncodeResponse` | `encode(X509Certificate certificate, PrivateKey privateKey, EncodeRequest encodeRequest)` The encode operation allows the coding/anonymization of data.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SealsServiceImpl

    public SealsServiceImpl(EhealthReplyValidator validator)

Parameters:
  `validator` -

Method Detail

### encode

    public EncodeResponse encode(X509Certificate certificate,
                                 PrivateKey privateKey,
                                 EncodeRequest encodeRequest)
                          throws TechnicalConnectorException

  Description copied from interface: `SealsService`
  The encode operation allows the coding/anonymization of data.

  Specified by:
    `encode` in interface `SealsService`
  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `encodeRequest` - Request data structure for the encode operation.
  Returns:
    Response message for the encode operation. Besides the ticket number and application name, this response can either contain: - A valid response: type ChoiceEncodedDataErrorType - or a global error when the processing failed completely
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs
  See Also:
    `SealsService.encode(java.security.cert.X509Certificate, java.security.PrivateKey, be.fgov.ehealth.seals.protocol.v1.EncodeRequest)`

### decode

    public DecodeResponse decode(X509Certificate certificate,
                                 PrivateKey privateKey,
                                 DecodeRequest decodeRequest)
                          throws TechnicalConnectorException

  Description copied from interface: `SealsService`
  The decode operation provides the inverse function of the encode operation

  Specified by:
    `decode` in interface `SealsService`
  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `decodeRequest` - Request data structure for the decode operation.
  Returns:
    Response message for the decode operation. Besides the ticket number and application name, this response can either contain: - A valid response: type ChoiceDecodedDataErrorType - or a global error when the processing failed completely.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs
  See Also:
    `SealsService.decode(java.security.cert.X509Certificate, java.security.PrivateKey, be.fgov.ehealth.seals.protocol.v1.DecodeRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.